Loading...
Searching...
No Matches
osmium::OSMEntity Class Reference

OSMEntity is the abstract base class for the OSMObject and Changeset classes. More...

`#include <entity.hpp>`

Inheritance diagram for osmium::OSMEntity:
[legend]
Collaboration diagram for osmium::OSMEntity:
[legend]

## Public Member Functions

| OSMEntity (osmium::memory::item_size_type size, osmium::item_type type)
bool | type_is_in (osmium::osm_entity_bits::type entity_bits) const
Public Member Functions inherited from osmium::memory::Item
| Item (const Item &)=delete
Item & | operator= (const Item &)=delete
| Item (Item &&)=delete
Item & | operator= (Item &&)=delete
| ~Item () noexcept=default
unsigned char * | next () noexcept
const unsigned char * | next () const noexcept
item_size_type | byte_size () const noexcept
item_size_type | padded_size () const
item_type | type () const noexcept
bool | removed () const noexcept
void | set_removed (const bool removed) noexcept
diff_indicator_type | diff () const noexcept
char | diff_as_char () const noexcept
void | set_diff (const diff_indicator_type diff) noexcept

## Static Public Member Functions

static constexpr bool | is_compatible_to (osmium::item_type t) noexcept
Static Public Member Functions inherited from osmium::memory::Item
static constexpr bool | is_compatible_to (osmium::item_type) noexcept

## Additional Inherited Members

Protected Member Functions inherited from osmium::memory::Item
| Item (item_size_type size=0, item_type type=item_type{}) noexcept
Item & | set_type (const item_type item_type) noexcept

## Detailed Description

OSMEntity is the abstract base class for the OSMObject and Changeset classes.

## Constructor & Destructor Documentation

## OSMEntity()

osmium::OSMEntity::OSMEntity | ( | osmium::memory::item_size_type | size,
|  | osmium::item_type | type
| ) |  |

inline explicit

## Member Function Documentation

## is_compatible_to()

static constexpr bool osmium::OSMEntity::is_compatible_to | ( | osmium::item_type | t | ) |

inline static constexpr noexcept

## type_is_in()

bool osmium::OSMEntity::type_is_in | ( | osmium::osm_entity_bits::type | entity_bits | ) | const

inline

The documentation for this class was generated from the following file:

- include/osmium/osm/entity.hpp